Package: org.gradle.api.tasks.testing

## [Java] Interface JUnitXmlReport

- org.gradle.api.reporting.DirectoryReport

- All Superinterfaces:
    Report, ConfigurableReport, DirectoryReport

  The JUnit XML files, commonly used to communicate results to CI servers.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Report` | `NAMER`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isOutputPerTestCase()` Should the output be associated with individual test cases instead of at the suite level.
    `void` | `setOutputPerTestCase(boolean outputPerTestCase)` Should the output be associated with individual test cases instead of at the suite level.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DirectoryReport` | `getEntryPoint, getOutputType`
    `interface ConfigurableReport` | `setDestination`
    `interface Report` | `getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled`
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Method Detail

    - #### @Incubating public boolean isOutputPerTestCase()

      Should the output be associated with individual test cases instead of at the suite level.

    - #### @Incubating public void setOutputPerTestCase(boolean outputPerTestCase)

      Should the output be associated with individual test cases instead of at the suite level.